<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/2_GameLib/inputManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/db9/input_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">inputManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/db9/input_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifdef GAME_TEMPLATE</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="keyword">enum</span> InputTrigger</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <a class="code hl_variable" href="../../dd/de6/_stamina_sound_handler_8c.html#a7520c3aab46e40f4fb406c075d01701c">UP</a>,             </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <a class="code hl_variable" href="../../dd/de6/_stamina_sound_handler_8c.html#addc2ef968751d8ca6b93e44129b6c296">DOWN</a>,           </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    PRESSED,        </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    VALUE           </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>};</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">class </span>ActionManager</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="keywordtype">void</span> ActionManager(ActionManager parent);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    proto native external <span class="keywordtype">bool</span> RegisterAction(<span class="keywordtype">string</span> actionName);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    proto native external <span class="keywordtype">bool</span> RegisterContext(<span class="keywordtype">string</span> contextName);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    proto native external <span class="keywordtype">float</span> LocalValue(<span class="keywordtype">string</span> actionName);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    proto native external <span class="keywordtype">bool</span> GetActionTriggered(<span class="keywordtype">string</span> actionName);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    proto native external <span class="keywordtype">bool</span> ActivateAction(<span class="keywordtype">string</span> actionName, <span class="keywordtype">int</span> duration = 0); </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    proto native external <span class="keywordtype">bool</span> IsActionActive(<span class="keywordtype">string</span> actionName);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    proto native external <span class="keywordtype">bool</span> ActivateContext(<span class="keywordtype">string</span> contextName, <span class="keywordtype">int</span> duration = 0);   </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    proto native external <span class="keywordtype">bool</span> IsContextActive(<span class="keywordtype">string</span> contextName);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    proto external <span class="keywordtype">void</span> AddActionListener(<span class="keywordtype">string</span> actionName, InputTrigger trigger,  func callback);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    proto native external <span class="keywordtype">void</span> SetContextDebug(<span class="keywordtype">string</span> contextName, <span class="keywordtype">bool</span> bDebug);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a6843146228dbebb875ab8a461976f889">SetParent</a>(ActionManager parent);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    proto native <span class="keywordtype">void</span> SetDebug(<span class="keywordtype">bool</span> bDebug);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>};</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="keyword">class </span>InputManager: ActionManager</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>{</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> InputManager(ActionManager parent) {};</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> ~InputManager() {};</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    proto native external <span class="keywordtype">void</span> ResetAction(<span class="keywordtype">string</span> actionName);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    proto native <span class="keywordtype">void</span> SetCursorPosition(<span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    proto native external <span class="keywordtype">bool</span> RegisterActionManager(ActionManager pManager);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    proto native external <span class="keywordtype">bool</span> UnregisterActionManager(ActionManager pManager);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>};</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="ttc" id="a_effect_8c_html_a6843146228dbebb875ab8a461976f889"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a6843146228dbebb875ab8a461976f889">SetParent</a></div><div class="ttdeci">void SetParent(Object parent_obj)</div><div class="ttdoc">Set parent of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00385">Effect.c:385</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_stamina_sound_handler_8c_html_a7520c3aab46e40f4fb406c075d01701c"><div class="ttname"><a href="../../dd/de6/_stamina_sound_handler_8c.html#a7520c3aab46e40f4fb406c075d01701c">UP</a></div><div class="ttdeci">enum eStaminaZones UP</div></div>
<div class="ttc" id="a_stamina_sound_handler_8c_html_addc2ef968751d8ca6b93e44129b6c296"><div class="ttname"><a href="../../dd/de6/_stamina_sound_handler_8c.html#addc2ef968751d8ca6b93e44129b6c296">DOWN</a></div><div class="ttdeci">enum eStaminaZones DOWN</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6cbeac509316e19dc1bb30078ed67032.html">2_GameLib</a></li><li class="navelem"><a class="el" href="../../d4/db9/input_manager_8c.html">inputManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
